List routers
curl --request GET \
--url https://api.routera.io/routers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.routera.io/routers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.routera.io/routers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Contact Router",
"object_type": "contacts",
"has_integration": true,
"is_published": true,
"archived": false,
"created_at": "2026-05-01T10:00:00.000Z",
"updated_at": "2026-05-28T12:00:00.000Z",
"settings": {
"overwrite": true,
"owner_field": "contact_owner",
"distribution_model": "round robin",
"default_user": "developer@test.com",
"disable_default_assignment": false,
"ignore_working_hours": true,
"account_matching": true,
"trigger": {
"groups": [
{
"conditions": []
}
]
}
},
"users": [
{
"email": "user@example.com"
}
],
"teams": [
{
"name": "Sales Team"
}
]
}
],
"pagination": {
"limit": 123,
"offset": 123,
"count": 123
}
}{
"message": "<string>",
"error": true,
"field": "<string>"
}{
"message": "<string>",
"error": true,
"field": "<string>"
}{
"message": "<string>",
"error": true,
"field": "<string>"
}Routers
List routers
GET /routers — paginated list of account routers
GET
/
routers
List routers
Endpoint
GET https://api.routera.io/routers
/routersAuthentication: Bearer JWT
Query parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
archived | boolean | false | Set to true to include archived routers |
limit | integer | 10 | Maximum number of results (10–100) |
offset | integer | 0 | Pagination offset |
Response fields
Each item indata includes:
| Property | Description |
|---|---|
id | Router ID |
name | Router display name |
object_type | Target object type internal name (e.g. contacts) |
has_integration | Whether the router uses a CRM integration |
is_published | Whether the router is published |
settings | Flattened configuration (primitives except trigger) |
users | Rotation users (email only) |
teams | Rotation teams (name only) |
archived | false or ISO timestamp when archived |
created_at, updated_at | Router timestamps (ISO 8601 UTC) |
Response
200 — Paginated list{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Contact Router",
"object_type": "contacts",
"has_integration": true,
"is_published": true,
"archived": false,
"created_at": "2026-05-01T10:00:00.000Z",
"updated_at": "2026-05-28T12:00:00.000Z",
"settings": {
"overwrite": true,
"owner_field": "contact_owner",
"distribution_model": "round robin",
"default_user": "developer@test.com",
"disable_default_assignment": false,
"ignore_working_hours": true,
"account_matching": true,
"trigger": {
"groups": [
{
"conditions": []
}
]
}
},
"users": [
{
"email": "user@example.com"
}
],
"teams": [
{
"name": "Sales Team"
}
]
}
],
"pagination": {
"limit": 10,
"offset": 0,
"count": 1
}
}
Errors
| Status | When |
|---|---|
400 | Invalid list path (e.g. /routers/{id} on list endpoint) |
401 | Missing or invalid account context in JWT |
500 | Internal server error |
Authorizations
Bearer JWT with valid account context.
Query Parameters
Include archived routers when true
Maximum results (default 10, max 100)
Required range:
1 <= x <= 100Pagination offset (default 0)
Required range:
x >= 0Response
Paginated list
Hide child attributes
Hide child attributes
false when active, or ISO timestamp when archived
Present when archived
Flattened settings keyed by setting_id (overwrite, owner_field, distribution_model, etc.)
Was this page helpful?
⌘I
